ShakaCode | ShakaCode Blog | Rails On Maui Blog | Rails | ReactJs | JavaScript | Webpack | Productivity |

Catalina Yarn/NPM issues

If you can’t get the npm package node-pre-gyp to install…

Solution

Head to the instructions on how to fix this:

Errors I got

gypgyp  ERR!ERR!  not oknot ok

node-pre-gyp ERR! build error
node-pre-gyp ERR! stack Error: Failed to execute '/Users/justin/.nvm/versions/node/v12.13.1/bin/node /Users/justin/.nvm/versions/node/v12.13.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/Users/justin/shakacode/react-on-rails/react_on_rails_pro/node_modules/fsevents/lib/binding/Release/node-v72-darwin-x64/fse.node --module_name=fse --module_path=/Users/justin/shakacode/react-on-rails/react_on_rails_pro/node_modules/fsevents/lib/binding/Release/node-v72-darwin-x64 --napi_version=5 --node_abi_napi=napi' (1)
node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/Users/justin/shakacode/react-on-rails/react_on_rails_pro/node_modules/fsevents/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:210:5)
node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:283:5)
node-pre-gyp ERR! System Darwin 19.3.0
node-pre-gyp ERR! command \"/Users/justin/.nvm/versions/node/v12.13.1/bin/node\" \"/Users/justin/shakacode/react-on-rails/react_on_rails_pro/node_modules/fsevents/node_modules/node-pre-gyp/bin/node-pre-gyp\" \"install\" \"--fallback-to-build\"
node-pre-gyp ERR! cwd /Users/justin/shakacode/react-on-rails/react_on_rails_pro/node_modules/fsevents
node-pre-gyp ERR! node -v v12.13.1
node-pre-gyp ERR! node-pre-gyp -v v0.10.3
node-pre-gyp ERR! not ok
Failed to execute '/Users/justin/.nvm/versions/node/v12.13.1/bin/node /Users/justin/.nvm/versions/node/v12.13.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/Users/justin/shakacode/react-on-rails/react_on_rails_pro/node_modules/fsevents/lib/binding/Release/node-v72-darwin-x64/fse.node --module_name=fse --module_path=/Users/justin/shakacode/react-on-rails/react_on_rails_pro/node_modules/fsevents/lib/binding/Release/node-v72-darwin-x64 --napi_version=5 --node_abi_napi=napi' (1)"